TokyoTyrant::size
TokyoTyrant::sync
TokyoTyrant
PHP Manual

# TokyoTyrant::stat

Get statistics

### Description

public array TokyoTyrant::stat ( void )

Returns statistics of the remote database

### Parameters

This function has no parameters.

### Return Values

Returns an array of key value pairs describing the statistics

### Examples

Example #1 TokyoTyrant::stat example

`<?php
$tt = new TokyoTyrant("localhost");
var_dump($tt->stat());
?>`

The above example will output something similar to:

    array(19) {
      ["version"]=>
      string(6) "1.1.28"
      ["libver"]=>
      string(3) "311"
      ["protver"]=>
      string(4) "0.91"
      ["os"]=>
      string(5) "Linux"
      ["time"]=>
      string(17) "1247358357.665630"
      ["pid"]=>
      string(5) "14348"
      ["sid"]=>
      string(8) "59025947"
      ["type"]=>
      string(9) "on-memory"
      ["path"]=>
      string(1) "*"
      ["rnum"]=>
      string(1) "4"
      ["size"]=>
      string(6) "262856"
      ["bigend"]=>
      string(1) "0"
      ["fd"]=>
      string(1) "5"
      ["loadavg"]=>
      string(8) "0.000000"
      ["memsize"]=>
      string(8) "77328384"
      ["memrss"]=>
      string(7) "1183744"
      ["ru_real"]=>
      string(13) "162776.042152"
      ["ru_user"]=>
      string(8) "0.476029"
      ["ru_sys"]=>
      string(8) "8.652540"
    }

### See Also

- Classname::Method